<?php
/**
 * Doctor General Physician functions and definitions
 *
 * @package Doctor General Physician
 * @subpackage doctor_general_physician
 */

function doctor_general_physician_setup() {

	load_theme_textdomain( 'doctor-general-physician', get_template_directory() . '/languages' );
	add_theme_support( 'automatic-feed-links' );
	add_theme_support( 'woocommerce' );
	add_theme_support( 'title-tag' );
	add_theme_support( "responsive-embeds" );
	add_theme_support( 'wp-block-styles' );
	add_theme_support( 'align-wide' );
	add_theme_support( 'post-thumbnails' );
	add_image_size( 'doctor-general-physician-featured-image', 2000, 1200, true );
	add_image_size( 'doctor-general-physician-thumbnail-avatar', 100, 100, true );

	// Set the default content width.
	$GLOBALS['content_width'] = 525;

	// This theme uses wp_nav_menu() in two locations.
	register_nav_menus( array(
		'primary-menu'    => __( 'Primary Menu', 'doctor-general-physician' ),
	) );

	// Add theme support for Custom Logo.
	add_theme_support( 'custom-logo', array(
		'width'       => 250,
		'height'      => 250,
		'flex-width'  => true,
		'flex-height' => true,
	) );

	// Add theme support for selective refresh for widgets.
	add_theme_support( 'customize-selective-refresh-widgets' );

	add_theme_support( 'custom-background', array(
		'default-color' => 'ffffff'
	) );

	/*
	 * Enable support for Post Formats.
	 *
	 * See: https://codex.wordpress.org/Post_Formats
	 */
	add_theme_support( 'post-formats', array('image','video','gallery','audio',) );

	add_theme_support( 'html5', array('comment-form','comment-list','gallery','caption',) );

	 add_theme_support( 'custom-header', apply_filters( 'doctor_general_physician_custom_header_args', array(
        'default-text-color' => 'fff',
        'header-text'        => false,
        'width'              => 1600,
        'height'             => 350,
        'flex-width'         => true,
        'flex-height'        => true,
        'wp-head-callback'   => 'doctor_general_physician_header_style',
        'default-image'      => get_template_directory_uri() . '/assets/images/header_img.png',
    ) ) );

	/**
	 * Implement the Custom Header feature.
	 */
	require get_parent_theme_file_path( '/inc/custom-header.php' );
}
add_action( 'after_setup_theme', 'doctor_general_physician_setup' );

// Add function after setup:
function doctor_general_physician_conditional_editor_styles() {
	
	add_editor_style( array( 'assets/css/editor-style.css', doctor_general_physician_fonts_url() ) );
}
add_action( 'after_setup_theme', 'doctor_general_physician_conditional_editor_styles', 11 );

/**
 * Register custom fonts.
 */
function doctor_general_physician_fonts_url(){
	$doctor_general_physician_font_url = '';
	$doctor_general_physician_font_family = array();
	$doctor_general_physician_font_family[] = 'Mali:ital,wght@0,200;0,300;0,400;0,500;0,600;0,700;1,200;1,300;1,400;1,500;1,600;1,700';
	$doctor_general_physician_font_family[] = 'Roboto:wght@0,100;0,300;0,400;0,500;0,700;0,900;1,100;1,300;1,400;1,500;1,700;1,900';
	$doctor_general_physician_font_family[] = 'Fira Sans Condensed:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&family=Fira+Sans:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900';
	$doctor_general_physician_font_family[] = 'Jura:ital,wght@300;400;500;600;700';
	$doctor_general_physician_font_family[] = 'Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900';
	$doctor_general_physician_font_family[] = 'Bad Script';
	$doctor_general_physician_font_family[] = 'Bebas Neue';
	$doctor_general_physician_font_family[] = 'Fjalla One';
	$doctor_general_physician_font_family[] = 'PT Sans:ital,wght@0,400;0,700;1,400;1,700';
	$doctor_general_physician_font_family[] = 'PT Serif:ital,wght@0,400;0,700;1,400;1,700';
	$doctor_general_physician_font_family[] = 'Roboto Condensed:ital,wght@0,300;0,400;0,700;1,300;1,400;1,700';
	$doctor_general_physician_font_family[] = 'Alex Brush';
	$doctor_general_physician_font_family[] = 'Overpass:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900';
	$doctor_general_physician_font_family[] = 'Montserrat:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900';
	$doctor_general_physician_font_family[] = 'Playball';
	$doctor_general_physician_font_family[] = 'Alegreya:ital,wght@0,400;0,500;0,600;0,700;0,800;0,900;1,400;1,500;1,600;1,700;1,800;1,900';
	$doctor_general_physician_font_family[] = 'Julius Sans One';
	$doctor_general_physician_font_family[] = 'Arsenal:ital,wght@0,400;0,700;1,400;1,700';
	$doctor_general_physician_font_family[] = 'Slabo 13px';
	$doctor_general_physician_font_family[] = 'Lato:ital,wght@0,100;0,300;0,400;0,700;0,900;1,100;1,300;1,400;1,700;1,900';
	$doctor_general_physician_font_family[] = 'Overpass Mono:wght@300;400;500;600;700';
	$doctor_general_physician_font_family[] = 'Source Sans Pro:ital,wght@0,200;0,300;0,400;0,600;0,700;0,900;1,200;1,300;1,400;1,600;1,700;1,900';
	$doctor_general_physician_font_family[] = 'Raleway:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900';
	$doctor_general_physician_font_family[] = 'Merriweather:ital,wght@0,300;0,400;0,700;0,900;1,300;1,400;1,700;1,900';
	$doctor_general_physician_font_family[] = 'Rubik:ital,wght@0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,300;1,400;1,500;1,600;1,700;1,800;1,900';
	$doctor_general_physician_font_family[] = 'Lora:ital,wght@0,400;0,500;0,600;0,700;1,400;1,500;1,600;1,700';
	$doctor_general_physician_font_family[] = 'Ubuntu:ital,wght@0,300;0,400;0,500;0,700;1,300;1,400;1,500;1,700';
	$doctor_general_physician_font_family[] = 'Cabin:ital,wght@0,400;0,500;0,600;0,700;1,400;1,500;1,600;1,700';
	$doctor_general_physician_font_family[] = 'Arimo:ital,wght@0,400;0,500;0,600;0,700;1,400;1,500;1,600;1,700';
	$doctor_general_physician_font_family[] = 'Playfair Display:ital,wght@0,400;0,500;0,600;0,700;0,800;0,900;1,400;1,500;1,600;1,700;1,800;1,900';
	$doctor_general_physician_font_family[] = 'Quicksand:wght@300;400;500;600;700';
	$doctor_general_physician_font_family[] = 'Padauk:wght@400;700';
	$doctor_general_physician_font_family[] = 'Mulish:ital,wght@0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;0,1000;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900;1,1000';
	$doctor_general_physician_font_family[] = 'Inter:ital,opsz,wght@0,14..32,100..900;1,14..32,100..900';
	$doctor_general_physician_font_family[] = 'Inconsolata:wght@200;300;400;500;600;700;800;900&family=Mulish:ital,wght@0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;0,1000;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900;1,1000';
	$doctor_general_physician_font_family[] = 'Bitter:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&family=Mulish:ital,wght@0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;0,1000;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900;1,1000';
	$doctor_general_physician_font_family[] = 'Pacifico';
	$doctor_general_physician_font_family[] = 'Indie Flower';
	$doctor_general_physician_font_family[] = 'VT323';
	$doctor_general_physician_font_family[] = 'Dosis:wght@200;300;400;500;600;700;800';
	$doctor_general_physician_font_family[] = 'Frank Ruhl Libre:wght@300;400;500;700;900';
	$doctor_general_physician_font_family[] = 'Fjalla One';
	$doctor_general_physician_font_family[] = 'Figtree:ital,wght@0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,300;1,400;1,500;1,600;1,700;1,800;1,900';
	$doctor_general_physician_font_family[] = 'Oxygen:wght@300;400;700';
	$doctor_general_physician_font_family[] = 'Arvo:ital,wght@0,400;0,700;1,400;1,700';
	$doctor_general_physician_font_family[] = 'Noto Serif:ital,wght@0,400;0,700;1,400;1,700';
	$doctor_general_physician_font_family[] = 'Lobster';
	$doctor_general_physician_font_family[] = 'Crimson Text:ital,wght@0,400;0,600;0,700;1,400;1,600;1,700';
	$doctor_general_physician_font_family[] = 'Yanone Kaffeesatz:wght@200;300;400;500;600;700';
	$doctor_general_physician_font_family[] = 'Anton';
	$doctor_general_physician_font_family[] = 'Libre Baskerville:ital,wght@0,400;0,700;1,400';
	$doctor_general_physician_font_family[] = 'Bree Serif';
	$doctor_general_physician_font_family[] = 'Gloria Hallelujah';
	$doctor_general_physician_font_family[] = 'Abril Fatface';
	$doctor_general_physician_font_family[] = 'Varela Round';
	$doctor_general_physician_font_family[] = 'Vampiro One';
	$doctor_general_physician_font_family[] = 'Shadows Into Light';
	$doctor_general_physician_font_family[] = 'Cuprum:ital,wght@0,400;0,500;0,600;0,700;1,400;1,500;1,600;1,700';
	$doctor_general_physician_font_family[] = 'Rokkitt:wght@100;200;300;400;500;600;700;800;900';
	$doctor_general_physician_font_family[] = 'Vollkorn:ital,wght@0,400;0,500;0,600;0,700;0,800;0,900;1,400;1,500;1,600;1,700;1,800;1,900';
	$doctor_general_physician_font_family[] = 'Francois One';
	$doctor_general_physician_font_family[] = 'Orbitron:wght@400;500;600;700;800;900';
	$doctor_general_physician_font_family[] = 'Patua One';
	$doctor_general_physician_font_family[] = 'Acme';
	$doctor_general_physician_font_family[] = 'Satisfy';
	$doctor_general_physician_font_family[] = 'Josefin Slab:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;1,100;1,200;1,300;1,400;1,500;1,600;1,700';
	$doctor_general_physician_font_family[] = 'Quattrocento Sans:ital,wght@0,400;0,700;1,400;1,700';
	$doctor_general_physician_font_family[] = 'Architects Daughter';
	$doctor_general_physician_font_family[] = 'Russo One';
	$doctor_general_physician_font_family[] = 'Monda:wght@400;700';
	$doctor_general_physician_font_family[] = 'Righteous';
	$doctor_general_physician_font_family[] = 'Lobster Two:ital,wght@0,400;0,700;1,400;1,700';
	$doctor_general_physician_font_family[] = 'Hammersmith One';
	$doctor_general_physician_font_family[] = 'Courgette';
	$doctor_general_physician_font_family[] = 'Permanent Marke';
	$doctor_general_physician_font_family[] = 'Cherry Swash:wght@400;700';
	$doctor_general_physician_font_family[] = 'Cormorant Garamond:ital,wght@0,300;0,400;0,500;0,600;0,700;1,300;1,400;1,500;1,600;1,700';
	$doctor_general_physician_font_family[] = 'Poiret One';
	$doctor_general_physician_font_family[] = 'BenchNine:wght@300;400;700';
	$doctor_general_physician_font_family[] = 'Economica:ital,wght@0,400;0,700;1,400;1,700';
	$doctor_general_physician_font_family[] = 'Handlee';
	$doctor_general_physician_font_family[] = 'Cardo:ital,wght@0,400;0,700;1,400';
	$doctor_general_physician_font_family[] = 'Alfa Slab One';
	$doctor_general_physician_font_family[] = 'Averia Serif Libre:ital,wght@0,300;0,400;0,700;1,300;1,400;1,700';
	$doctor_general_physician_font_family[] = 'Cookie';
	$doctor_general_physician_font_family[] = 'Chewy';
	$doctor_general_physician_font_family[] = 'Great Vibes';
	$doctor_general_physician_font_family[] = 'Coming Soon';
	$doctor_general_physician_font_family[] = 'Philosopher:ital,wght@0,400;0,700;1,400;1,700';
	$doctor_general_physician_font_family[] = 'Days One';
	$doctor_general_physician_font_family[] = 'Kanit:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900';
	$doctor_general_physician_font_family[] = 'Shrikhand';
	$doctor_general_physician_font_family[] = 'Tangerine:wght@400;700';
	$doctor_general_physician_font_family[] = 'IM Fell English SC';
	$doctor_general_physician_font_family[] = 'Boogaloo';
	$doctor_general_physician_font_family[] = 'Bangers';
	$doctor_general_physician_font_family[] = 'Fredoka One';
	$doctor_general_physician_font_family[] = 'Volkhov:ital,wght@0,400;0,700;1,400;1,700';
	$doctor_general_physician_font_family[] = 'Shadows Into Light Two';
	$doctor_general_physician_font_family[] = 'Marck Script';
	$doctor_general_physician_font_family[] = 'Sacramento';
	$doctor_general_physician_font_family[] = 'Unica One';
	$doctor_general_physician_font_family[] = 'Dancing Script:wght@400;500;600;700';
	$doctor_general_physician_font_family[] = 'Exo 2:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900';
	$doctor_general_physician_font_family[] = 'Archivo:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900';
	$doctor_general_physician_font_family[] = 'Jost:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900';
	$doctor_general_physician_font_family[] = 'DM Serif Display:ital@0;1';
	$doctor_general_physician_font_family[] = 'Open Sans:ital,wght@0,300;0,400;0,500;0,600;0,700;0,800;1,300;1,400;1,500;1,600;1,700;1,800';
	
	$doctor_general_physician_query_args = array(
		'family'	=> rawurlencode(implode('|',$doctor_general_physician_font_family)),
	);
	$doctor_general_physician_font_url = add_query_arg($doctor_general_physician_query_args,'//fonts.googleapis.com/css');
	return $doctor_general_physician_font_url;
	$contents = doctor_general_physician_wptt_get_webfont_url( esc_url_raw( $fonts_url ) );
}

/**
 * Register widget area.
 */
function doctor_general_physician_widgets_init() {
	register_sidebar( array(
		'name'          => __( 'Blog Sidebar', 'doctor-general-physician' ),
		'id'            => 'sidebar-1',
		'description'   => __( 'Add widgets here to appear in your sidebar on blog posts and archive pages.', 'doctor-general-physician' ),
		'before_widget' => '<section id="%1$s" class="widget %2$s">',
		'after_widget'  => '</section>',
		'before_title'  => '<h3 class="widget-title">',
		'after_title'   => '</h3>',
	) );

	register_sidebar( array(
		'name'          => __( 'Page Sidebar', 'doctor-general-physician' ),
		'id'            => 'sidebar-2',
		'description'   => __( 'Add widgets here to appear in your sidebar on pages.', 'doctor-general-physician' ),
		'before_widget' => '<section id="%1$s" class="widget %2$s">',
		'after_widget'  => '</section>',
		'before_title'  => '<h3 class="widget-title">',
		'after_title'   => '</h3>',
	) );

	register_sidebar( array(
		'name'          => __( 'Sidebar 3', 'doctor-general-physician' ),
		'id'            => 'sidebar-3',
		'description'   => __( 'Add widgets here to appear in your sidebar on blog posts and archive pages.', 'doctor-general-physician' ),
		'before_widget' => '<section id="%1$s" class="widget %2$s">',
		'after_widget'  => '</section>',
		'before_title'  => '<h3 class="widget-title">',
		'after_title'   => '</h3>',
	) );

	register_sidebar( array(
		'name'          => __( 'Footer 1', 'doctor-general-physician' ),
		'id'            => 'footer-1',
		'description'   => __( 'Add widgets here to appear in your footer.', 'doctor-general-physician' ),
		'before_widget' => '<section id="%1$s" class="widget %2$s py-2">',
		'after_widget'  => '</section>',
		'before_title'  => '<h3 class="widget-title">',
		'after_title'   => '</h3>',
	) );

	register_sidebar( array(
		'name'          => __( 'Footer 2', 'doctor-general-physician' ),
		'id'            => 'footer-2',
		'description'   => __( 'Add widgets here to appear in your footer.', 'doctor-general-physician' ),
		'before_widget' => '<section id="%1$s" class="widget %2$s py-2">',
		'after_widget'  => '</section>',
		'before_title'  => '<h3 class="widget-title">',
		'after_title'   => '</h3>',
	) );

	register_sidebar( array(
		'name'          => __( 'Footer 3', 'doctor-general-physician' ),
		'id'            => 'footer-3',
		'description'   => __( 'Add widgets here to appear in your footer.', 'doctor-general-physician' ),
		'before_widget' => '<section id="%1$s" class="widget %2$s py-2">',
		'after_widget'  => '</section>',
		'before_title'  => '<h3 class="widget-title">',
		'after_title'   => '</h3>',
	) );

	register_sidebar( array(
		'name'          => __( 'Footer 4', 'doctor-general-physician' ),
		'id'            => 'footer-4',
		'description'   => __( 'Add widgets here to appear in your footer.', 'doctor-general-physician' ),
		'before_widget' => '<section id="%1$s" class="widget %2$s py-2">',
		'after_widget'  => '</section>',
		'before_title'  => '<h3 class="widget-title">',
		'after_title'   => '</h3>',
	) );
}
add_action( 'widgets_init', 'doctor_general_physician_widgets_init' );

// Category count 
function doctor_general_physician_display_post_category_count() {
    $doctor_general_physician_category = get_the_category();
    $doctor_general_physician_category_count = ($doctor_general_physician_category) ? count($doctor_general_physician_category) : 0;
    $doctor_general_physician_category_text = ($doctor_general_physician_category_count === 1) ? 'category' : 'categories'; // Check for pluralization
    echo $doctor_general_physician_category_count . ' ' . $doctor_general_physician_category_text;
}

//post tag
function doctor_general_physician_custom_tags_filter($doctor_general_physician_tag_list) {
    // Replace the comma (,) with an empty string
    $doctor_general_physician_tag_list = str_replace(', ', '', $doctor_general_physician_tag_list);

    return $doctor_general_physician_tag_list;
}
add_filter('the_tags', 'doctor_general_physician_custom_tags_filter');

function doctor_general_physician_custom_output_tags() {
    $doctor_general_physician_tags = get_the_tags();

    if ($doctor_general_physician_tags) {
        $doctor_general_physician_tags_output = '<div class="post_tag">Tags: ';
        $doctor_general_physician_first_tag = reset($doctor_general_physician_tags);
        foreach ($doctor_general_physician_tags as $tag) {
            $doctor_general_physician_tags_output .= '<a href="' . esc_url(get_tag_link($tag)) . '" rel="tag" class="mr-2">' . esc_html($tag->name) . '</a>';
            if ($tag !== $doctor_general_physician_first_tag) {
                $doctor_general_physician_tags_output .= ' ';
            }
        }
        $doctor_general_physician_tags_output .= '</div>';
        echo $doctor_general_physician_tags_output;
    }
}

/**
 * Enqueue scripts and styles.
 */
function doctor_general_physician_scripts() {
	// Add custom fonts, used in the main stylesheet.
	wp_enqueue_style( 'doctor-general-physician-fonts', doctor_general_physician_fonts_url(), array(), null );

	// owl
	wp_enqueue_style( 'owl-carousel-css', get_theme_file_uri( '/assets/css/owl.carousel.css' ) );

	// Bootstrap
	wp_enqueue_style( 'bootstrap-css', get_theme_file_uri( '/assets/css/bootstrap.css' ) );

	// Theme stylesheet.
	wp_enqueue_style( 'doctor-general-physician-style', get_stylesheet_uri() );
	require get_parent_theme_file_path( '/tp-theme-color.php' );
	wp_add_inline_style( 'doctor-general-physician-style',$doctor_general_physician_tp_theme_css );
	require get_parent_theme_file_path( '/tp-body-width-layout.php' );
	wp_add_inline_style( 'doctor-general-physician-style',$doctor_general_physician_tp_theme_css );
	wp_style_add_data('doctor-general-physician-style', 'rtl', 'replace');
	
	// Theme block stylesheet.
	wp_enqueue_style( 'doctor-general-physician-block-style', get_theme_file_uri( '/assets/css/blocks.css' ), array( 'doctor-general-physician-style' ), '1.0' );

	// Fontawesome
	wp_enqueue_style( 'fontawesome-css', get_theme_file_uri( '/assets/css/fontawesome-all.css' ) );

	wp_enqueue_script( 'bootstrap-js', get_theme_file_uri( '/assets/js/bootstrap.js' ), array( 'jquery' ), true );

	wp_enqueue_script( 'owl-carousel-js', get_theme_file_uri( '/assets/js/owl.carousel.js' ), array( 'jquery' ), true );
	
	wp_enqueue_script( 'doctor-general-physician-custom-scripts', esc_url( get_template_directory_uri() ) . '/assets/js/doctor-general-physician-custom.js', array('jquery'), true);

	wp_enqueue_script( 'doctor-general-physician-focus-nav', esc_url( get_template_directory_uri() ) . '/assets/js/focus-nav.js', array('jquery'), true);

	if ( is_singular() && comments_open() && get_option( 'thread_comments' ) ) {
		wp_enqueue_script( 'comment-reply' );
	}
	
	$doctor_general_physician_body_font_family = get_theme_mod('doctor_general_physician_body_font_family', '');

	$doctor_general_physician_heading_font_family = get_theme_mod('doctor_general_physician_heading_font_family', '');

	$doctor_general_physician_menu_font_family = get_theme_mod('doctor_general_physician_menu_font_family', '');

	$doctor_general_physician_tp_theme_css = '
		body{
		    font-family: '.esc_html($doctor_general_physician_body_font_family).';
		}
		.more-btn a{
		    font-family: '.esc_html($doctor_general_physician_body_font_family).';
		}
		h1{
		    font-family: '.esc_html($doctor_general_physician_heading_font_family).';
		}
		h2{
		    font-family: '.esc_html($doctor_general_physician_heading_font_family).';
		}
		h3{
		    font-family: '.esc_html($doctor_general_physician_heading_font_family).';
		}
		h4{
		    font-family: '.esc_html($doctor_general_physician_heading_font_family).';
		}
		h5{
		    font-family: '.esc_html($doctor_general_physician_heading_font_family).';
		}
		h6{
		    font-family: '.esc_html($doctor_general_physician_heading_font_family).';
		}
		#theme-sidebar .wp-block-search .wp-block-search__label{
		    font-family: '.esc_html($doctor_general_physician_heading_font_family).';
		}
		.menubar,.main-navigation a{
		    font-family: '.esc_html($doctor_general_physician_menu_font_family).';
		}
	';
	wp_add_inline_style('doctor-general-physician-style', $doctor_general_physician_tp_theme_css);
}
add_action( 'wp_enqueue_scripts', 'doctor_general_physician_scripts' );

/*radio button sanitization*/
function doctor_general_physician_sanitize_choices( $input, $setting ) {
    global $wp_customize;
    $control = $wp_customize->get_control( $setting->id );
    if ( array_key_exists( $input, $control->choices ) ) {
        return $input;
    } else {
        return $setting->default;
    }
}

// Sanitize Sortable control.
function doctor_general_physician_sanitize_sortable( $val, $setting ) {
	if ( is_string( $val ) || is_numeric( $val ) ) {
		return array(
			esc_attr( $val ),
		);
	}
	$sanitized_value = array();
	foreach ( $val as $item ) {
		if ( isset( $setting->manager->get_control( $setting->id )->choices[ $item ] ) ) {
			$sanitized_value[] = esc_attr( $item );
		}
	}
	return $sanitized_value;
}

function doctor_general_physician_sanitize_dropdown_pages( $page_id, $setting ) {
  // Ensure $input is an absolute integer.
  $page_id = absint( $page_id );
  // If $page_id is an ID of a published page, return it; otherwise, return the default.
  return ( 'publish' == get_post_status( $page_id ) ? $page_id : $setting->default );
}


// Change number or products per row to 3
add_filter('loop_shop_columns', 'doctor_general_physician_loop_columns');
if (!function_exists('doctor_general_physician_loop_columns')) {
	function doctor_general_physician_loop_columns() {
		$doctor_general_physician_columns = get_theme_mod( 'doctor_general_physician_per_columns', 3 );
		return $doctor_general_physician_columns;
	}
}

//Change number of products that are displayed per page (shop page)
add_filter( 'loop_shop_per_page', 'doctor_general_physician_per_page', 20 );
function doctor_general_physician_per_page( $doctor_general_physician_cols ) {
  	$doctor_general_physician_cols = get_theme_mod( 'doctor_general_physician_product_per_page', 9 );
	return $doctor_general_physician_cols;
}

function doctor_general_physician_sanitize_number_range( $number, $setting ) {

	// Ensure input is an absolute integer.
	$number = absint( $number );

	// Get the input attributes associated with the setting.
	$atts = $setting->manager->get_control( $setting->id )->input_attrs;

	// Get minimum number in the range.
	$min = ( isset( $atts['min'] ) ? $atts['min'] : $number );

	// Get maximum number in the range.
	$max = ( isset( $atts['max'] ) ? $atts['max'] : $number );

	// Get step.
	$step = ( isset( $atts['step'] ) ? $atts['step'] : 1 );

	// If the number is within the valid range, return it; otherwise, return the default
	return ( $min <= $number && $number <= $max && is_int( $number / $step ) ? $number : $setting->default );
}

function doctor_general_physician_sanitize_checkbox( $input ) {
	// Boolean check
	return ( ( isset( $input ) && true == $input ) ? true : false );
}


function doctor_general_physician_sanitize_phone_number( $phone ) {
	return preg_replace( '/[^\d+]/', '', $phone );
}

function doctor_general_physician_string_limit_words($string, $word_limit) {
    $words = explode(' ', $string);
    return implode(' ', array_slice($words, 0, $word_limit));
}

function doctor_general_physician_sanitize_number_absint( $number, $setting ) {
	// Ensure $number is an absolute integer (whole number, zero or greater).
	$number = absint( $number );

	// If the input is an absolute integer, return it; otherwise, return the default
	return ( $number ? $number : $setting->default );
}

/**
 * Use front-page.php when Front page displays is set to a static page.
 */
function doctor_general_physician_front_page_template( $template ) {
	return is_home() ? '' : $template;
}
add_filter( 'frontpage_template','doctor_general_physician_front_page_template' );

/**
 * Logo Custamization.
 */

function doctor_general_physician_logo_width(){

	$doctor_general_physician_logo_width   = get_theme_mod( 'doctor_general_physician_logo_width', 50 );

	echo "<style type='text/css' media='all'>"; ?>
		img.custom-logo{
		    width: <?php echo absint( $doctor_general_physician_logo_width ); ?>px;
		    max-width: 100%;
		}
	<?php echo "</style>";
}

add_action( 'wp_head', 'doctor_general_physician_logo_width' );

function doctor_general_physician_theme_setup() {

	// footer link
	define('DOCTOR_GENERAL_PHYSICIAN_CREDIT',__('https://www.themespride.com/products/free-doctor-wordpress-theme','doctor-general-physician') );
	if ( ! function_exists( 'doctor_general_physician_credit' ) ) {
		function doctor_general_physician_credit(){
			echo "<a href=".esc_url(DOCTOR_GENERAL_PHYSICIAN_CREDIT)." target='_blank'>".esc_html__(get_theme_mod('doctor_general_physician_footer_text',__('Doctor General Physician WordPress Theme','doctor-general-physician')))."</a>";
		}
	}

	/**
	 * Custom template tags for this theme.
	 */
	require get_parent_theme_file_path( '/inc/template-tags.php' );

	/**
	 * Additional features to allow styling of the templates.
	 */
	require get_parent_theme_file_path( '/inc/template-functions.php' );

	/**
	 * Customizer additions.
	 */
	require get_parent_theme_file_path( '/inc/customizer.php' );
	/**
	 * Load Theme Web File
	 */
	require get_parent_theme_file_path('/inc/wptt-webfont-loader.php' );
	/**
	 * Load Toggle file
	 */
	require get_parent_theme_file_path( '/inc/controls/customize-control-toggle.php' );

	/**
	 * load sortable file
	 */
	require get_parent_theme_file_path( '/inc/controls/sortable-control.php' );


	/**
	 * TGM Recommendation
	 */
	require get_parent_theme_file_path( '/inc/TGM/tgm.php' );

	/**
	 * About Theme Page
	 */
	require get_parent_theme_file_path( '/inc/about-theme.php' );

}
add_action( 'after_setup_theme', 'doctor_general_physician_theme_setup' );

add_filter( 'woocommerce_prevent_automatic_wizard_redirect', '__return_true' );

//Admin Enqueue for Admin
function doctor_general_physician_admin_enqueue_scripts(){
	wp_enqueue_style('doctor-general-physician-admin-style', get_template_directory_uri() . '/assets/css/admin.css');
	wp_register_script( 'doctor-general-physician-admin-script', get_template_directory_uri() . '/assets/js/doctor-general-physician-admin.js', array( 'jquery' ), '', true );

	wp_localize_script(
		'doctor-general-physician-admin-script',
		'doctor_general_physician',
		array(
			'admin_ajax'	=>	admin_url('admin-ajax.php'),
			'wpnonce'			=>	wp_create_nonce('doctor_general_physician_dismissed_notice_nonce')
		)
	);
	wp_enqueue_script('doctor-general-physician-admin-script');

    wp_localize_script( 'doctor-general-physician-admin-script', 'doctor_general_physician_ajax_object',
        array( 'ajax_url' => admin_url( 'admin-ajax.php' ) )
    );
}
add_action( 'admin_enqueue_scripts', 'doctor_general_physician_admin_enqueue_scripts' );

// get started
add_action( 'wp_ajax_doctor_general_physician_dismissed_notice_handler', 'doctor_general_physician_ajax_notice_handler' );

function doctor_general_physician_ajax_notice_handler() {
	if (!wp_verify_nonce($_POST['wpnonce'], 'doctor_general_physician_dismissed_notice_nonce')) {
		exit;
	}
    if ( isset( $_POST['type'] ) ) {
        $type = sanitize_text_field( wp_unslash( $_POST['type'] ) );
        update_option( 'dismissed-' . $type, TRUE );
    }
}

function doctor_general_physician_activation_notice() { 

	if ( ! get_option('dismissed-get_started', FALSE ) ) { ?>

    <div class="doctor-general-physician-notice-wrapper updated notice notice-get-started-class is-dismissible" data-notice="get_started">
        <div class="doctor-general-physician-getting-started-notice clearfix">
        	<div class="row-top">
	            <div class="doctor-general-physician-theme-notice-content">
	                <h2 class="doctor-general-physician-notice-h2">
	                    <?php
	                printf(
	                /* translators: 1: welcome page link starting html tag, 2: welcome page link ending html tag. */
	                    esc_html__( 'Install the Demo Import Plugin now to instantly set up your site like the live preview.', 'doctor-general-physician' ), '<strong>'. wp_get_theme()->get('Name'). '</strong>' );
	                ?>
	                </h2>
	                <a class="doctor-general-physician-btn-get-started button button-primary button-hero doctor-general-physician-button-padding" href="<?php echo esc_url( admin_url( 'themes.php?page=doctor-general-physician-about' )); ?>" ><?php esc_html_e( 'Get Started with Doctor General Physician Theme', 'doctor-general-physician' ) ?></a>
	            </div>
	            <div class="image-box">
			    	<img src="<?php echo esc_url( get_template_directory_uri() . '/assets/images/theme-notice.png' ); ?>" alt="<?php echo esc_attr__( 'Doctor General Physician', 'doctor-general-physician' ); ?>" />
				</div>
	        </div>
        </div>
    </div>
<?php }

}
add_action( 'admin_notices', 'doctor_general_physician_activation_notice' );

add_action('after_switch_theme', 'doctor_general_physician_setup_options');
function doctor_general_physician_setup_options () {
    update_option('dismissed-get_started', FALSE );
}

// Get Started Detail Notice - Dismiss permanently
function doctor_general_physician_dismissed_get_started_detail_notice() {
    update_option( 'dismissed-get_started-detail', true );
    wp_send_json_success();
}
add_action( 'wp_ajax_doctor_general_physician_dismissed_get_started_detail_notice', 'doctor_general_physician_dismissed_get_started_detail_notice' );
add_action( 'wp_ajax_nopriv_doctor_general_physician_dismissed_get_started_detail_notice', 'doctor_general_physician_dismissed_get_started_detail_notice' );

// Reset on theme switch
add_action('after_switch_theme', 'doctor_general_physician_setup_settings');
function doctor_general_physician_setup_settings() {
    update_option('dismissed-get_started', false );
    update_option('dismissed-get_started-detail', false );
}

add_action( 'wp_ajax_doctor_general_physician_popup_done', 'doctor_general_physician_popup_done' );
function doctor_general_physician_popup_done() {
	update_option( 'doctor_general_physician_demo_popup_shown', true );
	wp_die();
}